USE [master]
GO
IF NOT EXISTS (SELECT name FROM sys.databases WHERE name = N'TagsDb')
BEGIN
CREATE DATABASE [TagsDb] ON  PRIMARY 
( NAME = N'TagsDb', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10.SQLEXPRESS\MSSQL\DATA\TagsDb.mdf' , SIZE = 5120KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'TagsDb_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL10.SQLEXPRESS\MSSQL\DATA\TagsDb_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
END

GO
EXEC dbo.sp_dbcmptlevel @dbname=N'TagsDb', @new_cmptlevel=90
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [TagsDb].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [TagsDb] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [TagsDb] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [TagsDb] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [TagsDb] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [TagsDb] SET ARITHABORT OFF 
GO
ALTER DATABASE [TagsDb] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [TagsDb] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [TagsDb] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [TagsDb] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [TagsDb] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [TagsDb] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [TagsDb] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [TagsDb] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [TagsDb] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [TagsDb] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [TagsDb] SET  ENABLE_BROKER 
GO
ALTER DATABASE [TagsDb] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [TagsDb] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [TagsDb] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [TagsDb] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [TagsDb] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [TagsDb] SET  READ_WRITE 
GO
ALTER DATABASE [TagsDb] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [TagsDb] SET  MULTI_USER 
GO
ALTER DATABASE [TagsDb] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [TagsDb] SET DB_CHAINING OFF 
USE [TagsDb]
GO
