-- truncate table Settings
-- insert into [Settings]([LoadingFileID]) values(null)
-- insert into Settings(LoadingFileID) values(null)

USE [TagsDb]
GO

/****** Object:  Table [dbo].[Settings]    Script Date: 01/09/2012 12:19:01 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Settings]') AND type in (N'U'))
DROP TABLE [dbo].[Settings]
GO

USE [TagsDb]
GO

/****** Object:  Table [dbo].[Settings]    Script Date: 01/09/2012 12:19:01 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Settings](
	[LoadingFileID] [bigint] NULL,
	[LoadingFileStage] [tinyint] NULL,
	[LoadingFileDtMin] [datetime] NULL,
	[LoadingFileDtMax] [datetime] NULL,
	--[LoadedFileDtMax] [datetime] NULL,
	[LoadedBorder1] [datetime] NULL,
	[LoadedBorder2] [datetime] NULL
) ON [PRIMARY]

GO


IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[DF_AggrDef_IsLoading]') AND type = 'D')
BEGIN
ALTER TABLE [dbo].[AggrDef] DROP CONSTRAINT [DF_AggrDef_IsLoading]
END
GO

/****** Object:  Table [dbo].[AggrDef]    Script Date: 01/09/2012 12:12:50 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[AggrDef]') AND type in (N'U'))
DROP TABLE [dbo].[AggrDef]
GO

USE [TagsDb]
GO

/****** Object:  Table [dbo].[AggrDef]    Script Date: 01/09/2012 12:12:50 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[AggrDef](
	[Id] [tinyint] NOT NULL,
	[SpanUnit] [varchar](50) NOT NULL,
	[SpanValue] [tinyint] NOT NULL,
	[LoadedBorder1] [datetime] NULL,
	[LoadedBorder2] [datetime] NULL,
	[IsLoading] [bit] NOT NULL -- ???
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[AggrDef] ADD  CONSTRAINT [DF_AggrDef_IsLoading]  DEFAULT ((0)) FOR [IsLoading]
GO

