USE [TagsDb]
GO

/****** Object:  Table [dbo].[Aggr002]    Script Date: 01/09/2012 12:24:14 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[Aggr002]') AND type in (N'U'))
DROP TABLE [dbo].[Aggr002]
GO

USE [TagsDb]
GO

/****** Object:  Table [dbo].[Aggr002]    Script Date: 01/09/2012 12:24:14 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Aggr002](
	[Border1] [datetime] NOT NULL,
	[Ch] [smallint] NOT NULL,
	[RTU] [smallint] NOT NULL,
	[Point] [smallint] NOT NULL,
	[ValueMin] [real] NOT NULL,
	[ValueMax] [real] NOT NULL,
	[ValueAvg] [real] NOT NULL,
 CONSTRAINT [PK_Aggr002] PRIMARY KEY CLUSTERED 
(
	[Border1] ASC,
	[Ch] ASC,
	[RTU] ASC,
	[Point] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO


