USE [TagsDb]
GO

declare @groupInSeconds int
declare @dt datetime
declare @border1 varchar(30)
declare @border2 varchar(30)
declare @destTable sysname
declare @souTable sysname
declare @souDtColumn sysname
declare @souGroupDef varchar(300)
declare @souValues varchar(100)

SET @groupInSeconds = 30

--   !!!!!
--SET @border1 = 'xxxxxx' -- '20120130 22:50:00'
--SET @border2 = 'xxxxxx' -- '20120130 22:50:30'
SET @border1 = '20120130 22:50:00'
SET @border2 = '20120130 22:50:30'

-- validation
SET @dt = @border1
SET @dt = @border2

--    !!!!!
SET @destTable = 'dbo.Aggr001'
 
SET @souTable = 'dbo.TagsTI' -- 'dbo.Aggr001'
SET @souDtColumn = 'Dt' -- 'Border1'
SET @souValues = 'Min([Value]), Max([Value]), Avg([Value]' -- 'Min([ValueMin]), Max([ValueMax]), Avg([ValueAvg]'

SET @souGroupDef = 
 'DATEADD(ss, -(DATEPART(ss, '+@souDtColumn+') % '+STR(@groupInSeconds)+')'
     +', DATEADD(ms, -DATEPART(ms, '+@souDtColumn+'), '+@souDtColumn+'))' 
 + ', [Ch], [RTU], [Point]'

EXEC ('DELETE ' + @destTable + ' WHERE Border1 >= ''' +@border1+ ''' AND Border1 < ''' +@border2 + '''')

EXEC ('INSERT ' + @destTable + ' (Border1, [Ch], [RTU], [Point], [ValueMin], [ValueMax], [ValueAvg])'
 + ' SELECT ' + @souGroupDef + ', ' + @souValues + ')'
 + ' FROM ' + @souTable
 + ' WHERE ' + @souDtColumn + ' >= '''+@border1+''' AND ' + @souDtColumn + ' < '''+@border2 + ''''
 + ' GROUP BY ' + @souGroupDef
 + ' ORDER BY ' + @souGroupDef
 )

--select @souTable