USE [TagsDb]
GO

declare @groupInMinutes int
declare @dt datetime
declare @border1 varchar(30)
declare @border2 varchar(30)
declare @destTable sysname
declare @souTable sysname
declare @souGroupDef varchar(300)

SET @groupInMinutes = 30

--    !!!!!
SET @destTable = 'dbo.Aggr002'
 
--     30   !!!!!
SET @souTable = 'dbo.Aggr001'
 
--   !!!!!
SET @border1 = 'xxxxxx' -- '20120130 22:00:00'
SET @border2 = 'xxxxxx' -- '20120130 22:30:00'
--SET @border1 = '20120130 22:00:00'
--SET @border2 = '20120130 22:30:00'

-- validation
SET @dt = @border1
SET @dt = @border2

SET @souGroupDef = 
 'DATEADD(mi, -(DATEPART(mi, Border1) % '+STR(@groupInMinutes)+')'
     +', DATEADD(ss, -DATEPART(ss, Border1)'
     +', DATEADD(ms, -DATEPART(ms, Border1), Border1)))'
 + ', [Ch], [RTU], [Point]'

EXEC ('DELETE ' + @destTable + ' WHERE Border1 >= ''' +@border1+ ''' AND Border1 < ''' +@border2 + '''')

EXEC ('INSERT ' + @destTable + ' (Border1, [Ch], [RTU], [Point], [ValueMin], [ValueMax], [ValueAvg])'
 + ' SELECT ' + @souGroupDef + ', Min([ValueMin]), Max([ValueMax]), Avg([ValueAvg])'
 + ' FROM ' + @souTable
 + ' WHERE Border1 >= '''+@border1+''' AND Border1 < '''+@border2 + ''''
 + ' GROUP BY ' + @souGroupDef
 + ' ORDER BY ' + @souGroupDef
 )

