USE [TagsDb]
GO

declare @groupInSeconds int
declare @dt datetime
declare @border1 varchar(30)
declare @border2 varchar(30)
declare @destTable sysname
declare @souGroupDef varchar(300)

SET @groupInSeconds = 30

--    !!!!!
SET @destTable = 'dbo.Aggr001'
 
--   !!!!!
SET @border1 = 'xxxxxx' -- '20120130 22:50:00'
SET @border2 = 'xxxxxx' -- '20120130 22:50:30'
--SET @border1 = '20120130 22:50:00'
--SET @border2 = '20120130 22:50:30'

-- validation
SET @dt = @border1
SET @dt = @border2

SET @souGroupDef = 
 'DATEADD(ss, -(DATEPART(ss, Dt) % '+STR(@groupInSeconds)+')'
     +', DATEADD(ms, -DATEPART(ms, Dt), Dt))' 
 + ', [Ch], [RTU], [Point]'

EXEC ('DELETE ' + @destTable + ' WHERE Border1 >= ''' +@border1+ ''' AND Border1 < ''' +@border2 + '''')

EXEC (''
 + ' INSERT ' + @destTable + ' (Border1, [Ch], [RTU], [Point], [ValueMin], [ValueMax], [ValueAvg])'
 + ' SELECT ' + @souGroupDef + ', Min([Value]), Max([Value]), Avg([Value])'
 + ' FROM dbo.TagsTI'
 + ' WHERE Dt >= '''+@border1+''' AND Dt < '''+@border2 + ''''
 + ' GROUP BY ' + @souGroupDef
 + ' ORDER BY ' + @souGroupDef
 )
