--  use BulkTestDb

-- select * from Aggr001
-- truncate table Aggr001

/*
declare @dt datetime
set @dt = '20110530 16:00'
select @dt, DATEADD(hh, 48, @dt)

Take sec  border: DATEADD(ms, -DATEPART(ms, Dt), Dt)
Take hour border: DATEADD(mi, -DATEPART(mi, Dt), DATEADD(ss, -DATEPART(ss, Dt), DATEADD(ms, -DATEPART(ms, Dt), Dt)))
Take day  border: DATEADD(hh,-DATEPART(hh, @dt2),DATEADD(mi, -DATEPART(mi, @dt2), DATEADD(ss, -DATEPART(ss, @dt2), DATEADD(ms, -DATEPART(ms, @dt2), @dt2))))


-- KNOW HOW : @dt >> datetime (y + m + d) 
select DATEADD(dd,day(@dt)-1,DATEADD(mm, month(@dt)-1,cast(str(year(@dt)) as datetime)))

select cast(year(Dt) as varchar)+cast(month(Dt) as varchar)+cast(day(Dt) as varchar) from BulkTest
select cast(cast(year(Dt) as varchar)+cast(month(Dt) as varchar)+cast(day(Dt) as varchar) as datetime) from BulkTest

select DATEPART(dd, Dt) as dd, DATEPART(hh, Dt) as hh, DATEPART(mi, Dt) as mi, DATEPART(ss, Dt) as ss, DATEPART(ms, Dt) as ms, count(*) as count 
from BulkTest	
group by DATEPART(dd, Dt), DATEPART(hh, Dt), DATEPART(mi, Dt), DATEPART(ss, Dt), DATEPART(ms, Dt)

-- 1 sec
select DATEADD(ms, -DATEPART(ms, Dt), Dt) as Border, count(*) as count 
from BulkTest
group by DATEADD(ms, -DATEPART(ms, Dt), Dt)
order by DATEADD(ms, -DATEPART(ms, Dt), Dt)

-- sec : @spanValue
declare @spanValue int
set @spanValue = 5
select DATEADD(ss, -(DATEPART(ss, Dt) % @spanValue), DATEADD(ms, -DATEPART(ms, Dt), Dt)) as Border, count(*) as count 
from BulkTest
group by DATEADD(ss, -(DATEPART(ss, Dt) % @spanValue), DATEADD(ms, -DATEPART(ms, Dt), Dt)) 
order by DATEADD(ss, -(DATEPART(ss, Dt) % @spanValue), DATEADD(ms, -DATEPART(ms, Dt), Dt)) 

-- min : @spanValue
declare @spanValue int
set @spanValue = 5
select DATEADD(mi, -(DATEPART(mi, Dt) % @spanValue), DATEADD(ss, -DATEPART(ss, Dt), DATEADD(ms, -DATEPART(ms, Dt), Dt))) as Border, count(*) as count 
from BulkTest
group by DATEADD(mi, -(DATEPART(mi, Dt) % @spanValue), DATEADD(ss, -DATEPART(ss, Dt), DATEADD(ms, -DATEPART(ms, Dt), Dt)))
order by DATEADD(mi, -(DATEPART(mi, Dt) % @spanValue), DATEADD(ss, -DATEPART(ss, Dt), DATEADD(ms, -DATEPART(ms, Dt), Dt)))
 
-- 1 hour
select DATEADD(mi, -DATEPART(mi, Dt), DATEADD(ss, -DATEPART(ss, Dt), DATEADD(ms, -DATEPART(ms, Dt), Dt))) as Border, count(*) as count 
from BulkTest
group by DATEADD(mi, -DATEPART(mi, Dt), DATEADD(ss, -DATEPART(ss, Dt), DATEADD(ms, -DATEPART(ms, Dt), Dt)))
order by DATEADD(mi, -DATEPART(mi, Dt), DATEADD(ss, -DATEPART(ss, Dt), DATEADD(ms, -DATEPART(ms, Dt), Dt)))

-- 1 day
select cast(cast(year(Dt) as varchar)+RIGHT('00' + cast(month(Dt) as varchar),2)+RIGHT('00' + cast(day(Dt) as varchar),2) as datetime) as Border, count(*) as count 
from BulkTest
group by cast(cast(year(Dt) as varchar)+RIGHT('00' + cast(month(Dt) as varchar),2)+RIGHT('00' + cast(day(Dt) as varchar),2) as datetime)
order by cast(cast(year(Dt) as varchar)+RIGHT('00' + cast(month(Dt) as varchar),2)+RIGHT('00' + cast(day(Dt) as varchar),2) as datetime)

-- 1 month
select cast(cast(year(Dt) as varchar)+RIGHT('00' + cast(month(Dt) as varchar),2) as datetime) as Border, count(*) as count 
from BulkTest
group by cast(cast(year(Dt) as varchar)+RIGHT('00' + cast(month(Dt) as varchar),2) as datetime)
order by cast(cast(year(Dt) as varchar)+RIGHT('00' + cast(month(Dt) as varchar),2) as datetime)

-- INSERT Aggr001
declare @spanValue int
set @spanValue = 5 -- sec
INSERT Aggr001(Border1, [Ch], [RTU], [Point], [ValueMin], [ValueMax], [ValueAvg])
 select DATEADD(ss, -(DATEPART(ss, Dt) % @spanValue), DATEADD(ms, -DATEPART(ms, Dt), Dt))
  , [Ch], [RTU], [Point], Min([Value]), Max([Value]), Avg([Value])
 from BulkTest
 group by DATEADD(ss, -(DATEPART(ss, Dt) % @spanValue), DATEADD(ms, -DATEPART(ms, Dt), Dt)), [Ch], [RTU], [Point]
 order by DATEADD(ss, -(DATEPART(ss, Dt) % @spanValue), DATEADD(ms, -DATEPART(ms, Dt), Dt)), [Ch], [RTU], [Point]
*/

